# Class: ErrorReport

Defined in: | node_modules/gulp-coffeelint/node_modules/coffeelint/src/commandline.coffee

## Overview

A summary of errors in a CoffeeLint run.

## Instance Method Summary

- # (void) getExitCode()
- # (void) getSummary()
- # (void) getErrors(path)
- # (void) pathHasWarning(path)
- # (void) pathHasError(path)
- # (void) hasError()
- # (void) _hasLevel(path, level)

## Constructor Details

# (void) constructor()

## Instance Method Details

# (void) getExitCode()

# (void) getSummary()

# (void) getErrors(path)

# (void) pathHasWarning(path)

# (void) pathHasError(path)

# (void) hasError()

# (void) _hasLevel(path, level)

Quickly fuzzy find classes, mixins, methods, file:

- T Open fuzzy finder dialog

Control the navigation frame:

- L Toggle list view
- C Show class list
- I Show mixin list
- F Show file list
- M Show method list
- E Show extras list

You can focus and blur the search input:

- S Focus search input
- Esc Blur search input